Subject: Re: [PATCH net-next] net: ethtool: fix NULL pointer dereference in stats_prepare_data()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 16:52:23 -0800

On Wed, 25 Jan 2023 02:45:17 +0200 Vladimir Oltean wrote:
> > Choose one:
> >  - you disagree with my comment on the report
> >  - you don't think that we should mix the immediate fix with the
> >    structural change
> >  - you agree but "don't have the time" to fix this properly  
> 
> Yeah, sorry, I shouldn't have left your question unanswered ("should we make
> a fake struct genl_info * to pass here?") - but I don't think I'm qualified
> enough to have an opinion, either. Whereas the immediate fix is neutral
> enough to not be controversial, or so I thought.
> 
> The problem is not so much "the time to fix this properly", but rather,
> I'm not even sure how to trigger the ethtool dumpit() code...

Ack, makes sense. I just wanted to make sure you weren't disagreeing.